// Written by TeTeT
// random plane air traffic over the island

private ["_start", "_planeType", "_plane", "_pos", "_grp", "_wp"];

_start = [N, NE, E, SE, SW, W, NW];

while {alive player} do {
	_planeType = ["CUP_B_AV8B_FFAR_7"] call bis_fnc_selectRandom;
	_pos = _start call bis_fnc_selectRandom;
	_plane = _planeType createVehicle (getPos _pos);
	_plane setPos [getPos _plane select 0, getPos _plane select 1, 1000];
	createVehicleCrew _plane;

	_grp = group (crew _plane select 0);
	_wp = _grp addWaypoint [Airfield, 500];
	_wp setWaypointType "MOVE";

	_pos = _start call bis_fnc_selectRandom;
	_wp = _grp addWaypoint [_pos, 500];
	_wp setWaypointType "MOVE";

	[_plane, _pos] spawn {
		params ["_plane", "_pos"];

		waitUntil {_plane distance Airfield < 1000};
		waitUntil {_plane distance _pos < 1000};
		{ deleteVehicle _x} forEach crew _plane;
		deleteVehicle _plane;
	};
	sleep 60;
};
