// Written by TeTeT
// Rescue crew from defect vehicle

TeTeT_missionComplete = false;

private ["_lz", "_grp", "_ldr", "_chopper", "_wp", "_flare", "_pos", "_vehicleType"];

_chopper = PlayerChopper;

_lz = [Crew1, Crew2, Crew3] call bis_fnc_selectRandom;
_vehicleType = ["CUP_B_HMMWV_Unarmed_USMC", "CUP_B_HMMWV_M2_USMC", "CUP_B_HMMWV_MK19_USMC"] call bis_fnc_selectRandom;
tower sideChat format["A crew needs to be rescued at %1", _lz getVariable "name"];

"pickup" setMarkerPos (getPos _lz);

// spawn a crew to be rescued and defect vehicle
_grp = [getPos _lz, west, ["CUP_B_USMC_Soldier", "CUP_B_USMC_Soldier"]] call BIS_fnc_spawnGroup;
_grp setGroupId [[] call TeTeT_fnc_callsign];
sleep 0.5;
_wp = _grp addWaypoint [getPos _lz, 0];
_wp setWaypointFormation "DIAMOND";

_veh = _vehicleType createVehicle (getPos _lz);
_veh setDamage 0.9;

waitUntil {_chopper distance _lz < 1000};
[_lz, _grp] spawn TeTeT_fnc_smoke;

waitUntil {_chopper distance _lz < 50};
waitUntil {isTouchingGround _chopper};
waitUntil {_chopper animationPhase "ramp_bottom" >= 0.56};
_ldr = leader _grp;
[_ldr] call TeTeT_fnc_boarding;

{_x assignAsCargo _chopper} forEach units _grp;
_wp = _grp addWaypoint [(getPos _chopper),5];
_wp setWaypointType "GETIN";
waitUntil {{alive _x} count (units _grp) == {_x in _chopper} count (units _grp)};
[_ldr] call TeTeT_fnc_in;

while {count(waypoints _grp) > 0} do {
	deleteWaypoint [_grp, 0];
};

_lz = [ KheSanh, Airfield ] call bis_fnc_selectRandom;
tower sideChat format["Fly the crew to  %1", _lz getVariable "name"];

"drop" setMarkerPos (getPos _lz);
waitUntil {player distance _lz < 50};
waitUntil {isTouchingGround _chopper};
waitUntil {_chopper animationPhase "ramp_bottom" >= 0.56};

[_ldr] call TeTeT_fnc_out;

while {count(waypoints _grp) > 0} do {
	deleteWaypoint [_grp, 0];
};
{unassignVehicle _x} forEach units _grp;
_wp = _grp addWaypoint [(getPos _chopper),15];
_wp setWaypointType "GETOUT";

waitUntil {{alive _x} count (units _grp) == {!(_x in _chopper)} count (units _grp)};
[_ldr] call TeTeT_fnc_thanks;

[_grp] spawn TeTeT_fnc_moveAway;
sleep 5;

TeTeT_missionComplete = true;
