// Written by TeTeT
// Drop troopers via fastrope into the jungle

TeTeT_missionComplete = false;

private ["_grp", "_wp", "_ldr", "_lz", "_chopper"];

_chopper = PlayerChopper;

tower sideChat format ["Transport a group from %1", Airfield getVariable "name"];

_grp = [getPos Airfield, west, (configFile >> "CfgGroups" >> "West" >> "CUP_B_USMC" >> "Infantry" >> "CUP_B_USMC_InfSquad")] call BIS_fnc_spawnGroup;
_grp setGroupId [[] call TeTeT_fnc_callsign];
sleep 0.5;
_wp = _grp addWaypoint [getPos Airfield, 0];
_wp setWaypointFormation "DIAMOND";

waitUntil {_chopper distance Airfield < 50};
waitUntil {isTouchingGround _chopper};
waitUntil {_chopper animationPhase "ramp_bottom" >= 0.56};
_ldr = leader _grp;
[_ldr] call TeTeT_fnc_boarding;

{_x assignAsCargo _chopper} forEach units _grp;
_wp = _grp addWaypoint [(getPos _chopper),5];
_wp setWaypointType "GETIN";
waitUntil {{alive _x} count (units _grp) == {_x in _chopper} count (units _grp)};
[_ldr] call TeTeT_fnc_in;

while {count(waypoints _grp) > 0} do {
	deleteWaypoint [_grp, 0];
};

_lz = [Fastrope1, Fastrope2, Fastrope3, Fastrope4] call bis_fnc_selectRandom;

tower sideChat format ["Fly to %1", _lz getVariable "name"];

waitUntil {_chopper distance _lz < 1000};

tower sideChat "Landing will be difficult - use the ropes aboard";

waitUntil {isTouchingGround _ldr};

[_ldr] call TeTeT_fnc_thanks;

sleep 5;

TeTeT_missionComplete = true;