// Written by TeTeT
// pickup some people and transport to a different area

TeTeT_missionComplete = false;

private ["_lz", "_grp", "_ldr", "_chopper", "_wp", "_flare", "_pos"];

_chopper = PlayerChopper;

_lz = [] call TeTeT_getLZ;
tower sideChat format["A group requested a pickup at %1", _lz getVariable "name"];

"pickup" setMarkerPos (getPos _lz);

// spawn a group that will be transported
_grp = [getPos _lz, west, (configFile >> "CfgGroups" >> "West" >> "CUP_B_USMC" >> "Infantry" >> "CUP_B_USMC_InfSquad")] call BIS_fnc_spawnGroup;
_grp setGroupId [[] call TeTeT_fnc_callsign];
sleep 0.5;
_wp = _grp addWaypoint [getPos _lz, 0];
_wp setWaypointFormation "DIAMOND";

waitUntil {_chopper distance _lz < 1000};
[_lz, _grp] spawn TeTeT_fnc_smoke;

waitUntil {_chopper distance _lz < 50};
waitUntil {isTouchingGround _chopper};
waitUntil {_chopper animationPhase "ramp_bottom" >= 0.56};
_ldr = leader _grp;
[_ldr] call TeTeT_fnc_boarding;

{_x assignAsCargo _chopper} forEach units _grp;
_wp = _grp addWaypoint [(getPos _chopper),5];
_wp setWaypointType "GETIN";
waitUntil {{alive _x} count (units _grp) == {_x in _chopper} count (units _grp)};
[_ldr] call TeTeT_fnc_in;

while {count(waypoints _grp) > 0} do {
	deleteWaypoint [_grp, 0];
};

_lz = [ [_lz] ] call TeTeT_getLz;
tower sideChat format["Fly the group to %1", _lz getVariable "name"];

"drop" setMarkerPos (getPos _lz);
waitUntil {player distance _lz < 50};
waitUntil {isTouchingGround _chopper};
waitUntil {_chopper animationPhase "ramp_bottom" >= 0.56};

[_ldr] call TeTeT_fnc_out;

while {count(waypoints _grp) > 0} do {
	deleteWaypoint [_grp, 0];
};
{unassignVehicle _x} forEach units _grp;
_wp = _grp addWaypoint [(getPos _chopper),15];
_wp setWaypointType "GETOUT";

waitUntil {{alive _x} count (units _grp) == {!(_x in _chopper)} count (units _grp)};
[_ldr] call TeTeT_fnc_thanks;

[_grp] spawn TeTeT_fnc_moveAway;
sleep 5;

TeTeT_missionComplete = true;
