// Written by TeTeT
// Transport a boat from the Khe Sanh to a remote location

private ["_cargoType", "_cargo", "_pos", "_grp", "_wp", "_chopper"];

_chopper = PlayerChopper;

_cargoType = ["B_Boat_Transport_01_F"] call bis_fnc_selectRandom;

_pos = [BoatPickup1, BoatPickup2] call bis_fnc_selectRandom;
_cargo = _cargoType createVehicle (getPos _pos);

tower sideChat format["Retrieve a boat from %1 and sling load it", _pos getVariable "name"];
"pickup" setMarkerPos (getPos _pos);
waitUntil { getSlingload _chopper == _cargo };

_dest = [BoatDrop1, BoatDrop2] call bis_fnc_selectRandom;
"drop" setMarkerPos (getPos _dest);
tower sideChat format["Transport the boat to its destination at %1", _dest getVariable "name"];

waitUntil {_chopper distance _dest < 1000};
_grp = [_dest, ["CUP_B_USMC_Soldier", "CUP_B_USMC_Soldier", "CUP_B_USMC_Soldier", "CUP_B_USMC_Soldier"]] call TeTeT_fnc_spawnGroup;
[_dest, _grp] spawn TeTeT_fnc_smoke;

waitUntil {isNull getSlingload _chopper};
if (_cargo distance _dest < 50) then {
	tower sideChat "Boat delivered";
} else {
	tower sideChat "Delivery aborted";
};

sleep 5;
_wp = _grp addWaypoint [getPos _cargo, 5];
_wp setWaypointType "GETIN";
{_x assignAsCargo _cargo} forEach units _grp;
(leader _grp) assignAsDriver _cargo;
(units _grp) orderGetIn true;

[_grp] spawn TeTeT_fnc_moveAway;

TeTeT_missionComplete = true;