// Written by TeTeT
// 05teams.sqf
// Transport several fire teams to different locations on the map

TeTeT_missionComplete = false;

private ["_grp", "_groups", "_chopper", "_lzs", "_lz", "_teamLZs", "_combine", "_combines", "_ldr"];
_chopper = PlayerChopper;

_teamLZs = [Team1, Team2, Team3, Team4, Team5, Team6];

_combines = [];
{
	_lz = _teamLZs call bis_fnc_selectRandom;
	_teamLZs = _teamLZs - [ _lz ];
	_grp = [getPos _lz, west, (configFile >> "CfgGroups" >> "West" >> "CUP_B_USMC" >> "Infantry" >> "CUP_B_USMC_FireTeam")] call bis_fnc_spawnGroup;
	_grp setGroupId [[] call TeTeT_fnc_callsign];
	_combine = [_lz, _grp];
	_combines pushBack _combine;
} forEach [true, true, true, true];

tower sideChat "Pick up a number of fire teams and bring them back to Mefundo airfield";
{
	_combine = _x;
	_lz = _combine select 0;
	_grp = _combine select 1;
	"pickup" setMarkerPos (getPos _lz);
	tower sideChat format ["Fly to %1", _lz getVariable "name"];

	waitUntil {_chopper distance _lz < 1000};
	[_lz, _grp] spawn TeTeT_fnc_smoke;

	waitUntil {_chopper distance _lz < 50};
	waitUntil {isTouchingGround _chopper};
	waitUntil {_chopper animationPhase "ramp_bottom" >= 0.56};
	_ldr = leader _grp;
	[_ldr] call TeTeT_fnc_boarding;


	{_x assignAsCargo _chopper} forEach units _grp;
	_wp = _grp addWaypoint [(getPos _chopper),5];
	_wp setWaypointType "GETIN";
	waitUntil {{alive _x} count (units _grp) == {_x in _chopper} count (units _grp)};
	[_ldr] call TeTeT_fnc_in;

	while {count(waypoints _grp) > 0} do {
		deleteWaypoint [_grp, 0];
	};

} forEach _combines;

tower sideChat "Collecting troopers complete";
sleep 1;
_lz = Airfield;
tower sideChat format["Transport troopers to %1", _lz getVariable "name"];

"drop" setMarkerPos (getPos _lz);
waitUntil {player distance _lz < 50};
waitUntil {isTouchingGround _chopper};
waitUntil {_chopper animationPhase "ramp_bottom" >= 0.56};

{
	_grp = _x select 1;
	_ldr = leader _grp;
	[_ldr] call TeTeT_fnc_out;

	while {count(waypoints _grp) > 0} do {
		deleteWaypoint [_grp, 0];
	};
	{unassignVehicle _x} forEach units _grp;
	_wp = _grp addWaypoint [(getPos _chopper),15];
	_wp setWaypointType "GETOUT";

	waitUntil {{alive _x} count (units _grp) == {!(_x in _chopper)} count (units _grp)};
	[_ldr] call TeTeT_fnc_thanks;

	[_grp] spawn TeTeT_fnc_moveAway;
} forEach _combines;
sleep 5;

TeTeT_missionComplete = true;
